package com.huimv.eartag.service;

import com.alibaba.fastjson.JSONObject;

import java.text.ParseException;

public interface IEartagService {
    //处理耳标信息
    void handleEartagInfo();

    Integer countAct(String deviceCode, String nowAct);

    Integer getEartagRegTotalByFarmId(String farmId);

    //计算运动量
    Integer countEartagAct(String earmark, String nowAct);

    //
    void handleEartag(JSONObject dataJo) throws ParseException;

//    Integer getEartagOnelineTotal(String farmId, String todayDateText);
}
